Bug 631541 - [6.1 FEAT] virtualtop - userspace
Summary: [6.1 FEAT] virtualtop - userspace
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: s390utils
Version: 6.1
Hardware: s390x
OS: All
high
high
Target Milestone: beta
: 6.1
Assignee: Dan Horák
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 631533
Blocks: 633854 538808 580566
TreeView+ depends on / blocked
 
Reported: 2010-09-07 20:31 UTC by IBM Bug Proxy
Modified: 2011-05-19 13:17 UTC (History)
9 users (show)

Fixed In Version: s390utils-1.8.2-30.el6.src.rpm
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:17:17 UTC


Attachments (Terms of Use)
s390-tools-rhel6-infrastructure.patch (3.88 KB, text/plain)
2010-12-01 16:42 UTC, IBM Bug Proxy
no flags Details
s390-tools-rhel6-hyptop.patch (181.02 KB, text/plain)
2010-12-01 16:42 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0601 normal SHIPPED_LIVE s390utils bug fix and enhancement update 2011-05-19 09:37:30 UTC
IBM Linux Technology Center 66877 None None None Never

Description IBM Bug Proxy 2010-09-07 20:31:04 UTC
1. Feature Overview:
Feature Id: [66877]
a. Name of Feature: [6.1 FEAT] virtualtop - userspace
b. Feature Description
This feature provides a new Linux tool "hyptop" provides a dynamic real-time view of a System z
hypervisor environment, using kernel infrastructure via debugfs.

It works with either the z/VM or the LPAR hypervisor. Depending on the available data it shows for
example CPU and memory consumption of active LPARs or z/VM guests. It provides a curses based user
interface similar to the popular Linux "top" command.

hyptop provides two windows:
- sys_list: Shows a list of systems that the currently hypervisor is running
- sys: Shows one system in more detail.

You can run hyptop in interactive mode (default) or in batch mode with
the "-b" option. For how to use the interactive mode, see the online
help (enter "?" after hyptop is started).

[For outputs use monospace font for proper display!]

Output for the "sys_list" window under LPAR:
12:30:48 | CPU-T: IFL(18) CP(3) UN(3)     ?=help
system  #cpu    cpu   mgm    Cpu+  Mgm+   online
(str)    (#)    (%)   (%)    (hm)  (hm)    (dhm)
H05LP30   10 461.14 10.18 1547:41  8:15 11:05:59
H05LP33    4 133.73  7.57  220:53  6:12 11:05:54
H05LP50    4  99.26  0.01  146:24  0:12 10:04:24
H05LP02    1  99.09  0.00  269:57  0:00 11:05:58
TRX2CFA    1   2.14  0.03    3:24  0:04 11:06:01
H05LP13    6   1.36  0.34    4:23  0:54 11:05:56
TRX1      19   1.22  0.14   13:57  0:22 11:06:01
TRX2      20   1.16  0.11   26:05  0:25 11:06:00
H05LP55    2   0.00  0.00    0:22  0:00 11:05:52
H05LP56    3   0.00  0.00    0:00  0:00 11:05:52
         413 823.39 23.86 3159:57 38:08 11:06:01

Output for the "sys_list" window under z/VM:
12:32:21 | CPU-T: UN(16)                          ?=help
system   #cpu    cpu    Cpu+   online memuse memmax wcur
(str)     (#)    (%)    (hm)    (dhm)  (GiB)  (GiB)  (#)
T6360004    6 100.31  959:47 53:05:20   1.56   2.00  100
T6360005    2   0.44    1:11  3:02:26   0.42   0.50  100
T6360014    2   0.27    0:45 10:18:41   0.54   0.75  100
DTCVSW1     1   0.00    0:00 53:16:42   0.01   0.03  100
T6360002    6   0.00  166:26 40:19:18   1.87   2.00  100
OPERATOR    1   0.00    0:00 53:16:42   0.00   0.03  100
T6360008    2   0.00    0:37 30:22:55   0.32   0.75  100
T6360003    6   0.00 3700:57 53:03:09   4.00   4.00  100
NSLCF1      1   0.00    0:02 53:16:41   0.03   0.25  500
EREP        1   0.00    0:00 53:16:42   0.00   0.03  100
PERFSVM     1   0.00    0:53  2:21:12   0.04   0.06    0
TCPIP       1   0.00    0:01 53:16:42   0.01   0.12 3000
DATAMOVE    1   0.00    0:05 53:16:42   0.00   0.03  100
DIRMAINT    1   0.00    0:04 53:16:42   0.01   0.03  100
DTCVSW2     1   0.00    0:00 53:16:42   0.01   0.03  100
RACFVM      1   0.00    0:00 53:16:42   0.01   0.02  100
           75 101.57 5239:47 53:16:42  15.46  22.50 3000

Output for the "sys" window under LPAR:
14:08:41 | H05LP30 | CPU-T: IFL(18) CP(3) UN(3)                  ? = help
cpuid   type    cpu   mgm visual.                                        
(#)    (str)    (%)   (%) (vis)                                          
0        IFL  96.91  1.96 |############################################ |
1        IFL  81.82  1.46 |#####################################        |
2        IFL  88.00  2.43 |########################################     |
3        IFL  92.27  1.29 |##########################################   |
4        IFL  83.32  1.05 |#####################################        |
5        IFL  92.46  2.59 |##########################################   |
6        IFL   0.00  0.00 |                                             |
7        IFL   0.00  0.00 |                                             |
8        IFL   0.00  0.00 |                                             |
9        IFL   0.00  0.00 |                                             |
             534.79 10.78                                                

Output for the "sys" window under z/VM:
15:46:57 | T6360003 | CPU-T: UN(16)                  ? = help
cpuid     cpu visual                                         
(#)       (%) (vis)                                          
0      548.72 |#########################################    |
       548.72                                                


This is the userspace/tools part. There is a dependent kernel part which is tracked by different
feature reque


2. Feature Details:
Sponsor: LTC zSeries BOE
Architectures:  zSeries - 64 native, 

Arch Specificity: purely arch specific code
Affects Kernel Modules: Field does not exist
Delivery Mechanism: Backport
Category: system management
Request Type: Package - Feature from IBM
d. Upstream Acceptance: Field does not exist
Sponsor Priority P1
f. Severity: ship issue
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:---

3. Business Case
This tool will enhance the systems management/monitoring capabilities of customer's System z HW
LPARs or z/VM guests, by using this very capable but at the same time low footprint tool, which will
increase the customer satisfaction.

4. Primary contact at Red Hat:
John Jarvis, jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

Comment 2 John Jarvis 2010-09-13 19:47:47 UTC
Is this a new package request?  If so, is the package already in Fedora?

Comment 3 Gonzalo Muelas Serrano 2010-09-14 09:42:44 UTC
Hello John,
this will be part of s390tools/utils and be provided as a backport to existing
RHEL 6.0 version.
Unfortunately through the mirroring this information got lost. I have updated
the component here directly.

Comment 4 IBM Bug Proxy 2010-10-04 16:18:05 UTC
------- Comment From rsisk@us.ibm.com 2010-10-04 11:32 EDT-------
Code Upstream Status: In Progress

Comment 6 IBM Bug Proxy 2010-12-01 16:42:27 UTC
Created attachment 464053 [details]
s390-tools-rhel6-infrastructure.patch


------- Comment on attachment From brueckner@linux.vnet.ibm.com 2010-12-01 11:32 EDT-------


Summary:     s390-tools: Add infrastructure code for new features
Description: Add some infrastructure code from s390-tools upstream
             to be used by new features:
             * Add linked list implementation
             * Add typedefs for replacing __uxx and __sxx datatypes
             * Define S390_TOOLS_LIBDIR and S390_TOOLS_SYSCONFDIR macros

Comment 7 IBM Bug Proxy 2010-12-01 16:42:44 UTC
Created attachment 464054 [details]
s390-tools-rhel6-hyptop.patch


------- Comment on attachment From brueckner@linux.vnet.ibm.com 2010-12-01 11:32 EDT-------


Summary:     hyptop: Show hypervisor performance data on System z
Description: hyptop provides a dynamic real-time view of a System z hypervisor
             environment. It works with the z/VM and LPAR hypervisor. Depending
             on the available data it shows e.g. CPU and memory consumption of
             active LPARs or z/VM guests. The tool provides a curses based
             user interface similar to the popular Linux 'top' command.

Comment 9 John Jarvis 2010-12-01 17:29:54 UTC
IBM is signed up to test and provide feedback, setting OtherQA.

Comment 11 John Jarvis 2011-01-13 19:43:26 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.

Comment 15 Chris Ward 2011-04-06 11:03:17 UTC
~~ Partners and Customers ~~

This bug was included in RHEL 6.1 Beta. Please confirm the status of this request as soon as possible.

If you're having problems accessing 6.1 bits, are delayed in your test execution or find in testing that the request was not addressed adequately, please let us know.

Thanks!

Comment 16 IBM Bug Proxy 2011-04-21 12:42:21 UTC
------- Comment From mgrf@de.ibm.com 2011-04-21 08:37 EDT-------
This feature is verified on R 6.1 snapshots - set to verified  Thx

Comment 17 errata-xmlrpc 2011-05-19 13:17:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0601.html


Note You need to log in before you can comment on or make changes to this bug.